### A free/open-source library for quantitative finance

Classes
ql/cashflows/cmscoupon.hpp File Reference

CMS coupon. More...

`#include <ql/cashflows/floatingratecoupon.hpp>`
`#include <ql/time/schedule.hpp>`
Include dependency graph for cmscoupon.hpp:

## Classes

class | CmsCoupon
| CMS coupon class. More...
class | CmsLeg
| helper class building a sequence of capped/floored cms-rate coupons More...

## Detailed Description

CMS coupon.